Package: org.codehaus.groovy.syntax

## [Java] Class TokenException

- org.codehaus.groovy.syntax.TokenException

-     public class TokenException
      extends SyntaxException

- - ### Constructor Summary

    Constructors
    Constructor and description
    `TokenException(String message, Token token)`
    `TokenException(String message, Throwable cause, int line, int column)`
    `TokenException(String message, Throwable cause, int line, int column, int endLine, int endColumn)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class SyntaxException` | `getEndColumn, getEndLine, getLine, getMessage, getOriginalMessage, getSourceLocator, getStartColumn, getStartLine, setSourceLocator`
    `class GroovyException` | `isFatal, setFatal`

- - ### Constructor Detail

    - #### public TokenException(String message, Token token)

    - #### public TokenException(String message, Throwable cause, int line, int column)

    - #### public TokenException(String message, Throwable cause, int line, int column, int endLine, int endColumn)